1. General APIs
Telehealth Public APIs
  • Introduction
  • SSO Login
    • Generate SSO token
      POST
    • SSO Login
      GET
  • General APIs
    • Create Patient
      POST
    • Upload Patient File
      POST
    • Submit Patient's Form Response
      POST
    • Lab readings
      POST
    • Assign Service to Patient
      POST
    • Create Patient's Chart Note
      POST
    • Get Provider's Appointment Slots
      POST
    • Provider Sign Up
      POST
    • GraphQL Get Patient(s)
      POST
    • Get Encouter Details From Recording File Name
      GET
    • ARIA Analysis
      POST
  1. General APIs

Get Encouter Details From Recording File Name

Developing
GET
/api/service/v1/encounter-from-recording/{recording_id}
This API retrieves encounter details using a recording file name. It returns:
Encounter information
Patient details
Provider details
Associated video session(s)
Note: Duration values are in seconds.

Endpoint#

Request Headers:#

Path Variables:#

recording_id: Recording file name.

Example Request:#

Success Response:#

200 OK#
{
  "error": false,
  "input_data": {
    "id": 13356,
    "complaint": "Pain followup",
    "duration": 131,
    "recording_files": "1771585033302",
    "patient": {
      "id": 202300001111,
      "full_name": "John Doe",
      "gender": "male",
      "birth_date": "1990-01-11",
      "email": "hardik+multi@plenartech.com",
      "phone": "9825498256",
      "country_code": "+91",
      "timezone": "Asia/Kolkata",
      "mrn": "112233"
    },
    "provider": {
      "id": 202200000834,
      "full_name": "Hardik Shah",
      "provider_title": "OfficeAdmin",
      "email": "hardik@plenartech.com",
      "phone": "5598408512",
      "country_code": "+1",
      "timezone": "Asia/Kolkata"
    },
    "video_sessions": [
      {
        "id": "69983e07ae0d90001248e1d8",
        "sid": "ae821926-2d0d-4912-a835-d995bf3057f0",
        "status": "completed",
        "start": "2026-02-20 16:27:10",
        "end": "2026-02-20 16:28:52",
        "duration": 101,
        "composition_id": "1771585033302",
        "participants": [
          202200000834,
          202300001111
        ]
      }
    ]
  }
}

Error Response (Example)#

400#
{
    "error": true,
    "input_data": {
        "error_message": "No record found"
    }
}
500#
{
    "error": true,
    "input_data": {
        "error_message": "Request failed. {{error_message}}"
    }
}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/service/v1/encounter-from-recording/' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Examples
{
    "error": false,
    "input_data": {
        "id": 13356,
        "complaint": "Pain followup",
        "duration": 131,
        "recording_files": "1771585033302",
        "patient": {
            "id": 202300001111,
            "full_name": "John Doe",
            "gender": "male",
            "birth_date": "1990-01-11",
            "email": "hardik+multi@plenartech.com",
            "phone": "9825498256",
            "country_code": "+91",
            "timezone": "Asia/Kolkata",
            "mrn": "112233"
        },
        "provider": {
            "id": 202200000834,
            "full_name": "Hardik Shah",
            "provider_title": "OfficeAdmin ",
            "email": "hardik@plenartech.com",
            "phone": "5598408512",
            "country_code": "+1",
            "timezone": "Asia/Kolkata"
        },
        "video_sessions": [
            {
                "id": "69983e07ae0d90001248e1d8",
                "sid": "ae821926-2d0d-4912-a835-d995bf3057f0",
                "status": "completed",
                "start": "2026-02-20 16:27:10",
                "end": "2026-02-20 16:28:52",
                "duration": 101,
                "composition_id": "1771585033302",
                "participants": [
                    202200000834,
                    202300001111
                ]
            },
            {
                "id": "699808f35e8f4300123baed3",
                "sid": "fc0b310d-0d70-48a6-8e35-98172044f996",
                "status": "completed",
                "start": "2026-02-20 12:40:41",
                "end": "2026-02-20 12:41:12",
                "duration": 30,
                "composition_id": null,
                "participants": [
                    202200000834,
                    202300001111
                ]
            }
        ]
    }
}
Modified at 2026-02-23 13:16:11
Previous
GraphQL Get Patient(s)
Next
ARIA Analysis
Built with